Menu icon Foundation
How do I override the abide type password complexity in Foundation 5?

I would like to change the pattern of the password input field while using abide. But nothing works. I tried giving the pattern="" attribute the simplest pattern, and it still wants big letter, number and all that. I am assuming it's because I have set type to "password" which I'm sort of forced to, since I want the dots instead of letters.

Will someone please help me change the pattern?

I would like to change the pattern of the password input field while using abide. But nothing works. I tried giving the pattern="" attribute the simplest pattern, and it still wants big letter, number and all that. I am assuming it's because I have set type to "password" which I'm sort of forced to, since I want the dots instead of letters.

Will someone please help me change the pattern?

abideFoundation 5passwordpattern

I would like to change the pattern of the password input field while using abide. But nothing works. I tried giving the pattern="" attribute the simplest pattern, and it still wants big letter, number and all that. I am assuming it's because I have set type to "password" which I'm sort of forced to, since I want the dots instead of letters.

Will someone please help me change the pattern?

I would like to change the pattern of the password input field while using abide. But nothing works. I tried giving the pattern="" attribute the simplest pattern, and it still wants big letter, number and all that. I am assuming it's because I have set type to "password" which I'm sort of forced to, since I want the dots instead of letters.

Will someone please help me change the pattern?

Nikkitune almost 6 years ago

Btw I also tried overriding with javascript as directed in the docs. Didnt help either,

Chris Williams almost 6 years ago

Hi,

See my post here on the same subject.

http://foundation.zurb.com/forum/posts/1498-overriding-a-plugins-default-settings-bug

The solution posted there works, but depends on how comfortable you are with updating source code.
Ideally this shouldn't need to be done, but it appears to be a bug that needs patching. They did patch 'reveals' code recently to sort this same problem out and essentially did the very thing recommended in my post.

Hope that helps